petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionGetClosureIndex

Get the cache of points in the closure of each point in the section

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetClosureIndex(PetscSection section, PetscObject obj, PetscSection *clSection, IS *clPoints)

### Input Parameters

| section | - The PetscSection
| obj | - A PetscObject which serves as the key for this index

### Output Parameters

| clSection | - Section giving the size of the closure of each point
| clPoints | - IS giving the points in each closure

Note: We compress out closure points with no dofs in this section

### See Also

PetscSectionSetClosureIndex(), DMPlexCreateClosureIndex()

### Level

intermediate

### Location

src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages